{
  "description": "Request limits applied by the 2Fin API (api.ai2fin.com). Human-readable version: https://docs.ai2fin.com/api-reference/rate-limits",
  "updated": "2026-11-12",
  "limits": [
    {
      "name": "platform",
      "scope": "account (signed in) or client IP",
      "limit": 2000,
      "window": "PT15M",
      "appliesTo": ["/api/*", "/mcp"],
      "notes": "Only responses with status >= 400 count. Excludes /api/integrations/v1, /api/chat and /api/receipts routes, health checks and /.well-known.",
      "headers": ["X-RateLimit-Limit", "X-RateLimit-Remaining", "X-RateLimit-Reset", "Retry-After"]
    },
    {
      "name": "sign-in",
      "scope": "client IP",
      "limit": 200,
      "window": "PT15M",
      "appliesTo": ["/api/enterprise-auth/login", "/api/enterprise-auth/register", "/api/enterprise-auth/verify-email", "/api/enterprise-auth/magic/start", "/api/enterprise-auth/magic/verify", "/api/enterprise-auth/phone/send-otp", "/api/enterprise-auth/phone/verify-otp", "/api/enterprise-auth/mfa/verify", "/api/auth/*"],
      "notes": "/api/auth/me and /api/auth/ping are not limited. The operator can adjust the ceiling within fixed bounds.",
      "headers": ["RateLimit-Policy", "RateLimit-Limit", "RateLimit-Remaining", "RateLimit-Reset", "Retry-After"]
    },
    {
      "name": "mcp",
      "scope": "account",
      "limit": 200,
      "window": "PT15M",
      "appliesTo": ["/mcp"],
      "headers": ["X-RateLimit-Limit", "X-RateLimit-Remaining", "X-RateLimit-Reset", "Retry-After"]
    },
    { "name": "mcp-tool:process_receipt", "scope": "account + tool", "limit": 10, "window": "PT1M", "appliesTo": ["/mcp tools/call process_receipt"] },
    { "name": "mcp-tool:get_receipt_upload_url", "scope": "account + tool", "limit": 10, "window": "PT1M", "appliesTo": ["/mcp tools/call get_receipt_upload_url"] },
    { "name": "mcp-tool:modify_transactions", "scope": "account + tool", "limit": 20, "window": "PT1M", "appliesTo": ["/mcp tools/call modify_transactions"] },
    { "name": "mcp-tool:analyze_transactions", "scope": "account + tool", "limit": 20, "window": "PT1M", "appliesTo": ["/mcp tools/call analyze_transactions"] },
    { "name": "mcp-tool:lookup_tax_reference", "scope": "account + tool", "limit": 20, "window": "PT1M", "appliesTo": ["/mcp tools/call lookup_tax_reference"] },
    { "name": "mcp-tool:analyze_spending", "scope": "account + tool", "limit": 30, "window": "PT1M", "appliesTo": ["/mcp tools/call analyze_spending"] },
    { "name": "mcp-tool:create_transaction", "scope": "account + tool", "limit": 30, "window": "PT1M", "appliesTo": ["/mcp tools/call create_transaction"] },
    { "name": "mcp-tool:create_expense", "scope": "account + tool", "limit": 30, "window": "PT1M", "appliesTo": ["/mcp tools/call create_expense"] },
    { "name": "mcp-tool:manage_budget", "scope": "account + tool", "limit": 30, "window": "PT1M", "appliesTo": ["/mcp tools/call manage_budget"] },
    { "name": "mcp-tool:manage_trip", "scope": "account + tool", "limit": 30, "window": "PT1M", "appliesTo": ["/mcp tools/call manage_trip"] },
    {
      "name": "integration-api",
      "scope": "account",
      "limit": 60,
      "window": "PT1M",
      "appliesTo": ["/api/integrations/v1/*"],
      "notes": "Counted per server process.",
      "headers": ["Retry-After"]
    },
    { "name": "chat-stream", "scope": "account", "limit": 30, "window": "PT1M", "appliesTo": ["POST /api/chat/stream"] },
    { "name": "chat-conversation-create", "scope": "account", "limit": 10, "window": "PT1M", "appliesTo": ["POST /api/chat/conversations"] },
    { "name": "chat-upload", "scope": "client IP", "limit": 20, "window": "PT15M", "appliesTo": ["POST /api/chat/upload"] },
    {
      "name": "undo-and-history",
      "scope": "account",
      "limit": 300,
      "window": "PT1M",
      "appliesTo": ["/api/change-sets/*", "/api/data-history/*"],
      "headers": ["RateLimit-Policy", "RateLimit-Limit", "RateLimit-Remaining", "RateLimit-Reset", "Retry-After"]
    }
  ]
}
